Ubuntu 12.10 Vs Ati catalist 12.6

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 13:57

Allora, ho installato linux-source e gli headers ora sono riuscito a caricare fglrx come modulo ho riavviato e mi da lo schermo nero, non posso accedere alla console.

Avatar utente
414N
Iper Master
Iper Master
Messaggi: 2893
Iscritto il: mer feb 13, 2008 16:19
Slackware: current
Kernel: 3.14.23
Desktop: KDE4
Località: Bulagna
Contatta:

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda 414N » mar gen 15, 2013 14:21

Quale pacchetto di fglrx hai installato? Quello scaricato direttamente da AMD oppure quello dal repository esterno?
Assicurati di rimuovere tutti i pacchetti fglrx precedenti prima di riprovare con quello del repository.
Se comunque i risultati non cambiano e non si discostano da quelli che hai ottenuto su Slackware, direi che i driver proprietari hanno qualche problema con la tua scheda forse e non ti resta altro che passare a quelli open.

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 14:54

Purtroppo non ho nemmeno openssh installato quindi devo re installare tutto da capo, comunque sto usando sempre quelli del repository esterno

Avatar utente
414N
Iper Master
Iper Master
Messaggi: 2893
Iscritto il: mer feb 13, 2008 16:19
Slackware: current
Kernel: 3.14.23
Desktop: KDE4
Località: Bulagna
Contatta:

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda 414N » mar gen 15, 2013 15:04

Non puoi avviare con un runlevel non grafico Ubuntu? Tipo la rescue mode?

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 17:20

Incredibile, ho eseguito gli stessi identiti comandi di prima, solo che adesso non mi fa piu caricare fglrx come modulo.

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 17:29

Codice: Seleziona tutto

root@DarkNeo:/etc/X11# apt-get install fglrx-legacy
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno inoltre installati:
  fglrx-amdcccle-legacy fglrx-legacy-dev
I seguenti pacchetti NUOVI saranno installati:
  fglrx-amdcccle-legacy fglrx-legacy fglrx-legacy-dev
0 aggiornati, 3 installati, 0 da rimuovere e 1 non aggiornati.
à necessario scaricare 0 B/72,4 MB di archivi.
Dopo quest'operazione, verranno occupati 24,6 kB di spazio su disco.
Continuare [S/n]? S
Selezionato il pacchetto fglrx-legacy-dev non precedentemente selezionato.
(Lettura del database... 172984 file e directory attualmente installati.)
Estrazione di fglrx-legacy-dev (da .../fglrx-legacy-dev_2%3a8.97.100.3-makson5~ppa1_amd64.deb)...
Selezionato il pacchetto fglrx-legacy non precedentemente selezionato.
Estrazione di fglrx-legacy (da .../fglrx-legacy_2%3a8.97.100.3-makson5~ppa1_amd64.deb)...
Selezionato il pacchetto fglrx-amdcccle-legacy non precedentemente selezionato.
Estrazione di fglrx-amdcccle-legacy (da .../fglrx-amdcccle-legacy_2%3a8.97.100.3-makson5~ppa1_amd64.deb)...
Elaborazione dei trigger per ureadahead...
Configurazione di fglrx-amdcccle-legacy (2:8.97.100.3-makson5~ppa1)...
Configurazione di fglrx-legacy-dev (2:8.97.100.3-makson5~ppa1)...
Configurazione di fglrx-legacy (2:8.97.100.3-makson5~ppa1)...
update-alternatives: viene usato /usr/lib/fglrx/ld.so.conf per fornire /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in modalità automatica
update-alternatives: attenzione: saltata la creazione di /etc/OpenCL/vendors/amdocl32.icd poiché il file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd associato (del gruppo x86_64-linux-gnu_gl_conf) non esiste
update-alternatives: attenzione: viene forzata l'installazione dell'alternativa /usr/lib/fglrx/ld.so.conf poiché il gruppo x86_64-linux-gnu_gl_conf è danneggiato
update-alternatives: attenzione: saltata la creazione di /etc/OpenCL/vendors/amdocl32.icd poiché il file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd associato (del gruppo x86_64-linux-gnu_gl_conf) non esiste
update-alternatives: viene usato /usr/lib/fglrx/alt_ld.so.conf per fornire /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in modalità automatica
update-initramfs: deferring update (trigger activated)
Loading new fglrx-legacy-8.97.100.3 DKMS files...
First Installation: checking all kernels...
Building only for 3.5.0-17-generic
Building for architecture x86_64
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
update-initramfs: deferring update (trigger activated)
Elaborazione dei trigger per ureadahead...
Elaborazione dei trigger per bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Elaborazione dei trigger per initramfs-tools...
update-initramfs: Generating /boot/initrd.img-3.5.0-17-generic
Elaborazione dei trigger per libc-bin...
ldconfig deferred processing now taking place

Tutto questo prima non mel'ha dato!

Avatar utente
414N
Iper Master
Iper Master
Messaggi: 2893
Iscritto il: mer feb 13, 2008 16:19
Slackware: current
Kernel: 3.14.23
Desktop: KDE4
Località: Bulagna
Contatta:

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda 414N » mar gen 15, 2013 17:32

E ci risiamo...
Darkneo ha scritto:

Codice: Seleziona tutto

Building for architecture x86_64
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.


DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 18:23

Si l'ho letto pure io quell'errore ma allora perchè prima che ho dato gli stessi e identici comandi mi ha compilato fglrx giusto?

Avatar utente
414N
Iper Master
Iper Master
Messaggi: 2893
Iscritto il: mer feb 13, 2008 16:19
Slackware: current
Kernel: 3.14.23
Desktop: KDE4
Località: Bulagna
Contatta:

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda 414N » mar gen 15, 2013 18:53

Prima quando?
Mi sembra di giocare una partita "inloopata" al gioco dell'oca: se hai reinstallato tutto il sistema a seguito delle schermate nere forse ti sei dimenticato di installare di nuovo i pacchetti relativi ai sorgenti del kernel, visto che il modulo fglrx non è stato compilato per la mancanza di questi ultimi...

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 18:56

Ho riformattato, ho Ri fatto le stesse identiche cose ma sta volta è andata:

Codice: Seleziona tutto

root@DarkNeo:/home/neo# apt-get install fglrx-legacy
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno inoltre installati:
  fglrx-amdcccle-legacy fglrx-legacy-dev
I seguenti pacchetti NUOVI saranno installati:
  fglrx-amdcccle-legacy fglrx-legacy fglrx-legacy-dev
0 aggiornati, 3 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 72,4 MB di archivi.
Dopo quest'operazione, verranno occupati 24,6 kB di spazio su disco.
Continuare [S/n]? S
Scaricamento di:1 http://ppa.launchpad.net/makson96/fglrx/ubuntu/ quantal/main fglrx-legacy-dev amd64 2:8.97.100.3-makson5~ppa1 [65,0 kB]
Scaricamento di:2 http://ppa.launchpad.net/makson96/fglrx/ubuntu/ quantal/main fglrx-legacy amd64 2:8.97.100.3-makson5~ppa1 [66,4 MB]
Scaricamento di:3 http://ppa.launchpad.net/makson96/fglrx/ubuntu/ quantal/main fglrx-amdcccle-legacy amd64 2:8.97.100.3-makson5~ppa1 [5926 kB]
Recuperati 72,4 MB in 54s (1325 kB/s)                                         
Selezionato il pacchetto fglrx-legacy-dev non precedentemente selezionato.
(Lettura del database... 177213 file e directory attualmente installati.)
Estrazione di fglrx-legacy-dev (da .../fglrx-legacy-dev_2%3a8.97.100.3-makson5~ppa1_amd64.deb)...
Selezionato il pacchetto fglrx-legacy non precedentemente selezionato.
Estrazione di fglrx-legacy (da .../fglrx-legacy_2%3a8.97.100.3-makson5~ppa1_amd64.deb)...
Selezionato il pacchetto fglrx-amdcccle-legacy non precedentemente selezionato.
Estrazione di fglrx-amdcccle-legacy (da .../fglrx-amdcccle-legacy_2%3a8.97.100.3-makson5~ppa1_amd64.deb)...
Elaborazione dei trigger per ureadahead...
Configurazione di fglrx-amdcccle-legacy (2:8.97.100.3-makson5~ppa1)...
Configurazione di fglrx-legacy-dev (2:8.97.100.3-makson5~ppa1)...
Configurazione di fglrx-legacy (2:8.97.100.3-makson5~ppa1)...
update-alternatives: viene usato /usr/lib/fglrx/ld.so.conf per fornire /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in modalità automatica
update-alternatives: attenzione: saltata la creazione di /etc/OpenCL/vendors/amdocl32.icd poiché il file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd associato (del gruppo x86_64-linux-gnu_gl_conf) non esiste
update-alternatives: viene usato /usr/lib/fglrx/alt_ld.so.conf per fornire /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in modalità automatica
update-initramfs: deferring update (trigger activated)
Loading new fglrx-legacy-8.97.100.3 DKMS files...
First Installation: checking all kernels...
Building only for 3.5.0-21-generic
Building for architecture x86_64
Building initial module for 3.5.0-21-generic
Done.

fglrx:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.5.0-21-generic/updates/dkms/

depmod.........

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Elaborazione dei trigger per ureadahead...
Elaborazione dei trigger per bamfdaemon...
Rebuilding /usr/share/applications/bamf.index...
Elaborazione dei trigger per initramfs-tools...
update-initramfs: Generating /boot/initrd.img-3.5.0-21-generic
Elaborazione dei trigger per libc-bin...
ldconfig deferred processing now taking place

Ho dato modprobe fglrx aticonfig --initial e ora riavvio incrociando le dita

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 19:10

Schermata nera un altra volta...

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 19:23

Codice: Seleziona tutto

root@DarkNeo:~# lsmod |grep fglrx
fglrx                3275925  3
amd_iommu_v2           19097  1 fglrx

Codice: Seleziona tutto

root@DarkNeo:~# cat /var/log/Xorg.0.log |more
[    21.106]
X.Org X Server 1.12.4
Release Date: 2012-08-27
[    21.106] X Protocol Version 11, Revision 0
[    21.106] Build Operating System: Linux 2.6.24-32-xen x86_64 Ubuntu
[    21.106] Current Operating System: Linux DarkNeo 3.5.0-21-generic #32-Ubuntu
[    21.106] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-21-generic root
[    21.106] Build Date: 05 November 2012  10:00:21AM
[    21.106] xorg-server 3:1.12.4+git20121105-makson1~ppa2 (For technical suppor
[    21.106] Current version of pixman: 0.26.0
[    21.106]    Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
[    21.106] Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    21.106] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Jan 15 20:14:40 201                                                                             3
[    21.143] (==) Using config file: "/etc/X11/xorg.conf"
[    21.143] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    21.236] (==) ServerLayout "aticonfig Layout"
[    21.236] (**) |-->Screen "aticonfig-Screen[0]-0" (0)
[    21.236] (**) |   |-->Monitor "aticonfig-Monitor[0]-0"
[    21.236] (**) |   |-->Device "aticonfig-Device[0]-0"
[    21.237] (==) Automatically adding devices
[    21.237] (==) Automatically enabling devices
[    21.333] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    21.333]    Entry deleted from font path.
[    21.333] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    21.333]    Entry deleted from font path.
[    21.333] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    21.333]    Entry deleted from font path.
[    21.334] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    21.334]    Entry deleted from font path.
[    21.334] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    21.334]    Entry deleted from font path.
[    21.334] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueTyp                                                                             e" does not exist.
[    21.334]    Entry deleted from font path.
[    21.334] (==) FontPath set to:
 /usr/share/fonts/X11/misc,
 /usr/share/fonts/X11/Type1,
 built-ins
[    21.334] (==) ModulePath set to "/usr/lib/x86_64-linux-gnu/xorg/extra-module                                                                             s,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[    21.334] (II) The server relies on udev to provide the list of input devices                                                                             .
 If no devices become available, reconfigure udev or disable AutoAddDevices.
[    21.334] (II) Loader magic: 0x7f946b911b20
[    21.334] (II) Module ABI versions:
[    21.334]    X.Org ANSI C Emulation: 0.4
[    21.334]    X.Org Video Driver: 12.2
[    21.334]    X.Org XInput driver : 16.0
[    21.334]    X.Org Server Extension : 6.0
[    21.335] (--) PCI:*(0:1:5:0) 1002:9712:1025:0293 rev 0, Mem @ 0xd0000000/268                                                                             435456, 0xcfdf0000/65536, 0xcfe00000/1048576, I/O @ 0x00009000/256
[    21.335] (II) Open ACPI successful (/var/run/acpid.socket)
[    21.335] (II) "extmod" will be loaded by default.
[    21.335] (II) "dbe" will be loaded by default.
[    21.335] (II) "glx" will be loaded by default.
[    21.335] (II) "record" will be loaded by default.
[    21.335] (II) "dri" will be loaded by default.
[    21.335] (II) "dri2" will be loaded by default.
[    21.335] (II) LoadModule: "extmod"
[    21.457] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    21.500] (II) Module extmod: vendor="X.Org Foundation"
[    21.500]    compiled for 1.12.4, module version = 1.0.0
[    21.500]    Module class: X.Org Server Extension
[    21.500]    ABI class: X.Org Server Extension, version 6.0
[    21.500] (II) Loading extension MIT-SCREEN-SAVER
[    21.500] (II) Loading extension XFree86-VidModeExtension
[    21.500] (II) Loading extension XFree86-DGA
[    21.500] (II) Loading extension DPMS
[    21.500] (II) Loading extension XVideo
[    21.500] (II) Loading extension XVideo-MotionCompensation
[    21.500] (II) Loading extension X-Resource
[    21.500] (II) LoadModule: "dbe"
[    21.501] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    21.530] (II) Module dbe: vendor="X.Org Foundation"
[    21.530]    compiled for 1.12.4, module version = 1.0.0
[    21.530]    Module class: X.Org Server Extension
[    21.530]    ABI class: X.Org Server Extension, version 6.0
[    21.530] (II) Loading extension DOUBLE-BUFFER
[    21.530] (II) LoadModule: "glx"
[    21.530] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/e                                                                             xtensions/libglx.so
[    21.567] (II) Module glx: vendor="Advanced Micro Devices, Inc."
[    21.567]    compiled for 6.9.0, module version = 1.0.0
[    21.567] (II) Loading extension GLX
[    21.567] (II) LoadModule: "record"
[    21.567] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    21.576] (II) Module record: vendor="X.Org Foundation"
[    21.576]    compiled for 1.12.4, module version = 1.13.0
[    21.576]    Module class: X.Org Server Extension
[    21.576]    ABI class: X.Org Server Extension, version 6.0
[    21.576] (II) Loading extension RECORD
[    21.576] (II) LoadModule: "dri"
[    21.577] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    21.594] (II) Module dri: vendor="X.Org Foundation"
[    21.594]    compiled for 1.12.4, module version = 1.0.0
[    21.594]    ABI class: X.Org Server Extension, version 6.0
[    21.594] (II) Loading extension XFree86-DRI
[    21.594] (II) LoadModule: "dri2"
[    21.594] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    21.609] (II) Module dri2: vendor="X.Org Foundation"
[    21.609]    compiled for 1.12.4, module version = 1.2.0
[    21.609]    ABI class: X.Org Server Extension, version 6.0
[    21.609] (II) Loading extension DRI2
[    21.609] (II) LoadModule: "fglrx"
[    21.609] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/d                                                                             rivers/fglrx_drv.so
[    22.046] (II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
[    22.046]    compiled for 1.4.99.906, module version = 8.97.2
[    22.046]    Module class: X.Org Video Driver
[    22.047] (II) Loading sub module "fglrxdrm"
[    22.047] (II) LoadModule: "fglrxdrm"
[    22.047] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/l                                                                             inux/libfglrxdrm.so
[    22.093] (II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
[    22.093]    compiled for 1.4.99.906, module version = 8.97.2
[    22.093] (II) ATI Proprietary Linux Driver Version Identifier:8.97.2
[    22.093] (II) ATI Proprietary Linux Driver Release Identifier: 8.97.100.3                                                                               
[    22.093] (II) ATI Proprietary Linux Driver Build Date: Jul  3 2012 23:56:30
[    22.093] (++) using VT number 7

[    22.093] (WW) Falling back to old probe method for fglrx
[    22.174] (II) Loading PCS database from /etc/ati/amdpcsdb
[    22.189] (--) Chipset Supported AMD Graphics Processor (0x9712) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             17:0) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             18:0) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             18:1) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             18:2) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             19:0) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             19:1) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             19:2) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             20:0) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             20:2) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             20:3) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@0:                                                                             20:4) found
[    22.202] (WW) fglrx: No matching Device section for instance (BusID PCI:0@1:                                                                             5:1) found
[    22.203] (II) AMD Video driver is running on a device belonging to a group t                                                                             argeted for this release
[    22.203] (II) AMD Video driver is signed
[    22.203] (II) fglrx(0): pEnt->device->identifier=0x7f946c99ec50
[    22.203] (II) fglrx(0): === [xdl_xs112_atiddxPreInit] === begin
[    22.203] (II) Loading sub module "vgahw"
[    22.203] (II) LoadModule: "vgahw"
[    22.203] (II) Loading /usr/lib/xorg/modules/libvgahw.so
[    22.217] (II) Module vgahw: vendor="X.Org Foundation"
[    22.217]    compiled for 1.12.4, module version = 0.1.0
[    22.217]    ABI class: X.Org Video Driver, version 12.2
[    22.217] (**) fglrx(0): Depth 24, (--) framebuffer bpp 32
[    22.217] (II) fglrx(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixm                                                                             aps)
[    22.217] (==) fglrx(0): Default visual is TrueColor
[    22.217] (**) fglrx(0): Option "DPMS" "true"
[    22.217] (==) fglrx(0): RGB weight 888
[    22.217] (II) fglrx(0): Using 8 bits per RGB
[    22.217] (==) fglrx(0): Buffer Tiling is ON
[    22.218] (II) Loading sub module "fglrxdrm"
[    22.218] (II) LoadModule: "fglrxdrm"
[    22.218] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/modules/l                                                                             inux/libfglrxdrm.so
[    22.218] (II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
[    22.218]    compiled for 1.4.99.906, module version = 8.97.2
[    22.220] ukiDynamicMajor: found major device number 251
[    22.220] ukiDynamicMajor: found major device number 251
[    22.220] ukiOpenByBusid: Searching for BusID PCI:1:5:0
[    22.220] ukiOpenDevice: node name is /dev/ati/card0
[    22.220] ukiOpenDevice: open result is 12, (OK)
[    22.220] ukiOpenByBusid: ukiOpenMinor returns 12
[    22.220] ukiOpenByBusid: ukiGetBusid reports PCI:1:5:0
[    22.221] (**) fglrx(0): NoAccel = NO
[    22.221] (**) fglrx(0): ATI 2D Acceleration Architecture enabled
[    22.221] (--) fglrx(0): Chipset: "ATI Mobility Radeon HD 4200 Series" (Chips                                                                             et = 0x9712)
[    22.221] (--) fglrx(0): (PciSubVendor = 0x1025, PciSubDevice = 0x0293)
[    22.221] (==) fglrx(0): board vendor info: third party graphics adapter - NO                                                                             T original ATI
[    22.221] (--) fglrx(0): Linear framebuffer (phys) at 0xd0000000
[    22.221] (--) fglrx(0): MMIO registers at 0xcfdf0000
[    22.221] (--) fglrx(0): I/O port at 0x00009000
[    22.221] (==) fglrx(0): ROM-BIOS at 0x000c0000
[    22.235] (II) fglrx(0): ATIF platform detected
[    22.237] (II) fglrx(0): AC Adapter is used
[    22.269] (II) fglrx(0): Primary V_BIOS segment is: 0xc000
[    22.283] (II) Loading sub module "vbe"
[    22.283] (II) LoadModule: "vbe"
[    22.301] (II) Loading /usr/lib/xorg/modules/libvbe.so
[    22.323] (II) Module vbe: vendor="X.Org Foundation"
[    22.323]    compiled for 1.12.4, module version = 1.1.0
[    22.323]    ABI class: X.Org Video Driver, version 12.2
[    22.324] (II) fglrx(0): VESA BIOS detected
[    22.324] (II) fglrx(0): VESA VBE Version 3.0
[    22.324] (II) fglrx(0): VESA VBE Total Mem: 16384 kB
[    22.324] (II) fglrx(0): VESA VBE OEM: ATI ATOMBIOS
[    22.324] (II) fglrx(0): VESA VBE OEM Software Rev: 10.94
[    22.324] (II) fglrx(0): VESA VBE OEM Vendor: (C) 1988-2005, ATI Technologies                                                                              Inc.
[    22.324] (II) fglrx(0): VESA VBE OEM Product: RS880M
[    22.324] (II) fglrx(0): VESA VBE OEM Product Rev: 01.00
[    22.332] (II) fglrx(0): ATI Video BIOS revision 9 or later detected
[    22.332] (--) fglrx(0): Video RAM: 262144 kByte, Type: DDR2
[    22.332] (II) fglrx(0): PCIE card detected
[    22.332] (--) fglrx(0): Using per-process page tables (PPPT) as GART.
[    22.332] (WW) fglrx(0): board is an unknown third party board, chipset is su                                                                             pported
[    22.333] (II) fglrx(0): Using adapter: 1:5.0.
[    22.341] (II) fglrx(0): [FB] MC range(MCFBBase = 0xc0000000, MCFBSize = 0x10                                                                             000000)
[    22.368] (II) fglrx(0): Interrupt handler installed at IRQ 18.
[    22.368] (II) fglrx(0): RandR 1.2 support is enabled!
[    22.368] (II) fglrx(0): RandR 1.2 rotation support is enabled!
[    22.368] (==) fglrx(0): Center Mode is disabled
[    22.368] (II) Loading sub module "fb"
[    22.368] (II) LoadModule: "fb"
[    22.368] (II) Loading /usr/lib/xorg/modules/libfb.so
[    22.387] (II) Module fb: vendor="X.Org Foundation"
[    22.387]    compiled for 1.12.4, module version = 1.0.0
[    22.387]    ABI class: X.Org ANSI C Emulation, version 0.4
[    22.387] (II) Loading sub module "ddc"
[    22.387] (II) LoadModule: "ddc"
[    22.387] (II) Module "ddc" already built-in

Codice: Seleziona tutto

root@DarkNeo:~# cat /etc/X11/xorg.conf
Section "ServerLayout"
 Identifier     "aticonfig Layout"
 Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
 Identifier   "aticonfig-Monitor[0]-0"
 Option     "VendorName" "ATI Proprietary Driver"
 Option     "ModelName" "Generic Autodetecting Monitor"
 Option     "DPMS" "true"
EndSection

Section "Device"
 Identifier  "aticonfig-Device[0]-0"
 Driver      "fglrx"
 BusID       "PCI:1:5:0"
EndSection

Section "Screen"
 Identifier "aticonfig-Screen[0]-0"
 Device     "aticonfig-Device[0]-0"
 Monitor    "aticonfig-Monitor[0]-0"
 DefaultDepth     24
 SubSection "Display"
        Viewport   0 0
        Depth     24
 EndSubSection
EndSection

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 19:32

Codice: Seleziona tutto

[   12.241665] fglrx: module license 'Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY' taints kernel.
[   12.241671] Disabling lock debugging due to kernel taint
[   12.250352] [fglrx] Maximum main memory to use for locked dma buffers: 3543 MBytes.
[   12.250443] [fglrx]   vendor: 1002 device: 9712 count: 1
[   12.250932] [fglrx] ioport: bar 1, base 0x9000, size: 0x100
[   12.250951] pci 0000:01:05.0: setting latency timer to 64
[   12.251396] [fglrx] Kernel PAT support is enabled
[   12.251418] [fglrx] module loaded - fglrx 8.97.2 [Jul  4 2012] with 1 minors
[   12.364281] uvcvideo: Found UVC 1.00 device CNF7017 (04f2:b044)
[   12.374133] type=1400 audit(1358277270.393:2): apparmor="STATUS" operation="profile_load" name="/sbin/dhclient" pid=706 comm="apparmor_parser"
[   12.374705] type=1400 audit(1358277270.393:3): apparmor="STATUS" operation="profile_load" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=706 com
m="apparmor_parser"
[   12.375003] type=1400 audit(1358277270.393:4): apparmor="STATUS" operation="profile_load" name="/usr/lib/connman/scripts/dhclient-script" pid=706 comm="ap
parmor_parser"
[   12.375801] type=1400 audit(1358277270.397:5): apparmor="STATUS" operation="profile_replace" name="/sbin/dhclient" pid=707 comm="apparmor_parser"
[   12.376373] type=1400 audit(1358277270.397:6): apparmor="STATUS" operation="profile_replace" name="/usr/lib/NetworkManager/nm-dhcp-client.action" pid=707
comm="apparmor_parser"
[   12.376674] type=1400 audit(1358277270.397:7): apparmor="STATUS" operation="profile_replace" name="/usr/lib/connman/scripts/dhclient-script" pid=707 comm=
"apparmor_parser"

Codice: Seleziona tutto

[   21.532643] vesafb: mode is 1024x768x32, linelength=4096, pages=0
[   21.532648] vesafb: scrolling: redraw
[   21.532651] vesafb: Truecolor: size=0:8:8:8, shift=0:16:8:0
[   21.533153] vesafb: framebuffer at 0xd0000000, mapped to 0xffffc90001c80000, using 3072k, total 3072k
[   21.533364] Console: switching to colour frame buffer device 128x48
[   21.533386] fb0: VESA VGA frame buffer device
[   21.577113] init: plymouth-splash main process (1285) terminated with status 1
[   22.035667] wlan0: authenticate with 08:76:ff:97:67:74
[   22.053596] wlan0: send auth to 08:76:ff:97:67:74 (try 1/3)
[   22.055820] wlan0: authenticated
[   22.066436] wlan0: associate with 08:76:ff:97:67:74 (try 1/3)
[   22.069064] wlan0: RX AssocResp from 08:76:ff:97:67:74 (capab=0x411 status=0 aid=3)
[   22.069133] wlan0: associated
[   22.069704] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   23.144454] [fglrx] ATIF platform detected with notification ID: 0x81
[   23.276687] [fglrx] GART Table is not in FRAME_BUFFER range
[   23.276963] [fglrx] Could not enable MSI; System prevented initialization
[   23.277547] [fglrx] Firegl kernel thread PID: 1300
[   23.277622] [fglrx] Firegl kernel thread PID: 1301
[   23.277849] [fglrx] Firegl kernel thread PID: 1302
[   23.277999] [fglrx] IRQ 18 Enabled

dal dmesg

Avatar utente
414N
Iper Master
Iper Master
Messaggi: 2893
Iscritto il: mer feb 13, 2008 16:19
Slackware: current
Kernel: 3.14.23
Desktop: KDE4
Località: Bulagna
Contatta:

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda 414N » mar gen 15, 2013 21:06

Niente da fare, secondo me è proprio un problema di compatibilità tra la tua scheda ed i driver proprietari.
Puoi solo sperare (se proprio non puoi fare a meno dei driver proprietari) che li aggiornino a breve, ma dubito...
Non ti resta che passare agli open, rimuovendo fglrx e reinstallando mesa per esser sicuri che non sia stato sovrascritto/cancellato qualcosa di mesa.

DarkNeo
Linux 3.x
Linux 3.x
Messaggi: 1071
Iscritto il: sab giu 04, 2005 0:00
Nome Cognome: Stefano Arbitrio
Slackware: Slackware64 14
Kernel: 3.2.X
Desktop: KDE
Località: Matrix

Re: Ubuntu 12.10 Vs Ati catalist 12.6

Messaggioda DarkNeo » mar gen 15, 2013 22:04

È una situazione così drastica? Possibile che la ati lavori così male da non farmi usare la scheda video


Torna a “Gnu/Linux in genere”

Chi c’è in linea

Visitano il forum: Yahoo [Bot] e 1 ospite